package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "BatalRegistrasi_T")
public class BatalRegistrasi extends BaseTransaction {
	
	@ManyToOne
	@JoinColumn(name = "PasienDaftarFK")
	@NotNull(message = "PasienDaftar Harus Diisi")
	@Caption(value = "PasienDaftar")
	private PasienDaftar pasienDaftar;
	
	@Column(name = "PasienDaftarFK", insertable=false,updatable=false,nullable=true)
	private String pasienDaftarId;
	
	@ManyToOne
	@JoinColumn(name = "PegawaiFk")
	@NotNull(message = "Pegawai Harus Diisi")
	@Caption(value = "Pegawai")
	private Pegawai pegawai;
	
	@Column(name = "PegawaiFk", insertable=false,updatable=false,nullable=true)
	private Integer pegawaiId;
	
	@ManyToOne
	@JoinColumn(name = "PembatalanFK")
	@NotNull(message = "Pembatalan Harus Diisi")
	@Caption(value = "Pembatalan")
	private Pembatal pembatalan;
	
	@Column(name = "PembatalanFK", insertable=false,updatable=false,nullable=true)
	private Integer pembatalanId;
	
	@Column(name = "TanggalPembatalan", nullable = false, length = 100)
	@Caption(value = "TanggalPembatalan")
	private Date tanggalPembatalan;
	
	@Column(name = "alasanPembatalan", nullable = false, length = 100)
	@Caption(value = "alasanPembatalan")
	private String alasanPembatalan;

	public PasienDaftar getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(PasienDaftar pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public String getPasienDaftarId() {
		return pasienDaftarId;
	}

	public void setPasienDaftarId(String pasienDaftarId) {
		this.pasienDaftarId = pasienDaftarId;
	}

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public Pembatal getPembatalan() {
		return pembatalan;
	}

	public void setPembatalan(Pembatal pembatalan) {
		this.pembatalan = pembatalan;
	}

	public Integer getPembatalanId() {
		return pembatalanId;
	}

	public void setPembatalanId(Integer pembatalanId) {
		this.pembatalanId = pembatalanId;
	}

	public Date getTanggalPembatalan() {
		return tanggalPembatalan;
	}

	public void setTanggalPembatalan(Date tanggalPembatalan) {
		this.tanggalPembatalan = tanggalPembatalan;
	}

	public String getAlasanPembatalan() {
		return alasanPembatalan;
	}

	public void setAlasanPembatalan(String alasanPembatalan) {
		this.alasanPembatalan = alasanPembatalan;
	}

}
